Package org.silverpeas.components.kmelia.servlets

## Class KmeliaPublicationExportServlet

- java.lang.Object
- - jakarta.servlet.GenericServlet
  - - jakarta.servlet.http.HttpServlet
    - - org.silverpeas.components.kmelia.servlets.KmeliaPublicationExportServlet

- All Implemented Interfaces:
    `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

      public class KmeliaPublicationExportServlet
      extends jakarta.servlet.http.HttpServlet

  An HTTP servlet dedicated to the export of Kmelia publications.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class jakarta.servlet.http.HttpServlet

      `LEGACY_DO_HEAD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmeliaPublicationExportServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `service​(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)` | Listens for HTTP requests querying the export of a publication into a given format.

    - ### Methods inherited from class jakarta.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, init, service`

    - ### Methods inherited from class jakarta.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KmeliaPublicationExportServlet

          public KmeliaPublicationExportServlet()

  - ### Method Detail

    - #### service

          protected void service​(jakarta.servlet.http.HttpServletRequest request,
                                 jakarta.servlet.http.HttpServletResponse response)
                          throws jakarta.servlet.ServletException,
                                 IOException

      Listens for HTTP requests querying the export of a publication into a given format. Sends back the content of the export result.
      Overrides:
        `service` in class `jakarta.servlet.http.HttpServlet`
      Parameters:
        `request` - the HTTP requests with the export parameters.
        `response` - the HTTP responses with the export content.
      Throws:
        `jakarta.servlet.ServletException` - if an error occurs while processing the export.
        `IOException` - if an error occurs while generating export files or when communicating with the requester.